#!/bin/bash

# begin deployment
echo "======================================================================" >> /home/sblagodurov/deploy_output.log
date >> /home/sblagodurov/deploy_output.log
echo "======================================================================" >> /home/sblagodurov/deploy_output.log

# deploy a set of nodes:
more $OAR_NODE_FILE | sort | uniq > /home/sblagodurov/machinelist
kadeploy3 -a /home/sblagodurov/clavis-hpc-squeeze-x64-big.env -V 4 -f /home/sblagodurov/machinelist >> /home/sblagodurov/deploy_output.log 2>> /home/sblagodurov/deploy_output.log

sleep 60

hn=`head -n 1 /home/sblagodurov/machinelist`
export hn

tail -n +2 /home/sblagodurov/machinelist > /home/sblagodurov/storage2/nodes.txt

ssh root@$hn "/home/sblagodurov/nfs-storage-contents-g5k.sh" >> /home/sblagodurov/deploy_output.log 2>> /home/sblagodurov/deploy_output.log

ssh root@$hn
